Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 334887 - net-im/swift: new package
Summary: net-im/swift: new package
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Andriy Utkin
URL: http://swift.im/
Whiteboard: sunrise-suggested
Keywords: EBUILD, InOverlay, PullRequest
Depends on:
Blocks:
 
Reported: 2010-08-28 01:07 UTC by Nikoli
Modified: 2018-11-24 02:46 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild, works for me (swift-9999.ebuild,1.89 KB, text/plain)
2010-08-28 01:07 UTC, Nikoli
Details
swift-1.0.ebuild and swift-9999.ebuild (swift-1.0.ebuild,3.07 KB, text/plain)
2011-04-23 09:09 UTC, Nikoli
Details
ebuild for 1.0/9999 (swift-1.0.ebuild,3.43 KB, text/plain)
2011-08-11 16:03 UTC, Dennis Schridde
Details
ebuild for 1.0/9999 (working static-libs) (swift-1.0.ebuild,3.46 KB, text/plain)
2011-08-11 16:40 UTC, Dennis Schridde
Details
Added qt4 USE-Flag, without it ony libSwiften is built (swift-1.0.ebuild,4.06 KB, text/plain)
2012-03-29 12:47 UTC, Richard H.
Details
Added qt4 USE-Flag, without it ony libSwiften is built (swift-1.0.ebuild,4.06 KB, text/plain)
2012-03-29 17:18 UTC, Richard H.
Details
ebuild for swift-2.0beta1 (and the others too) (swift-2.0_beta1.ebuild,4.18 KB, text/plain)
2012-10-17 13:36 UTC, Richard H.
Details
swift-4.0_beta2.ebuild (swift-4.0_beta2.ebuild,3.89 KB, text/plain)
2017-04-29 20:09 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2010-08-28 01:07:11 UTC
Builds and runs.

Reproducible: Always
Comment 1 Nikoli 2010-08-28 01:07:45 UTC
Created attachment 245017 [details]
ebuild, works for me
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2010-08-29 08:24:10 UTC
Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Thanks,
On behalf of the Gentoo Sunrise Team,
Markos.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 3 Nikoli 2010-10-18 13:58:48 UTC
Added to rion overlay:
http://code.google.com/p/rion-overlay/source/browse/net-im/swift
Comment 4 Nikoli 2011-04-23 09:09:29 UTC
Created attachment 270945 [details]
swift-1.0.ebuild and swift-9999.ebuild
Comment 5 Dennis Schridde 2011-08-11 16:03:37 UTC
Created attachment 282929 [details]
ebuild for 1.0/9999

Slightly different ebuild for 1.0/9999.

Changes:
 * works with linux-3
 * uses git-2.eclass
 * does not specify minimum version below available versions in gentoo mainline
 * uses qt4-r2.eclass for linguas
 * supports net-misc/mDNSResponder (bonjour)
 * supports optional expat, openssl
 * uses different (probably more robust) way to set scons_vars
 * respects lib32/lib64 when symlinking qt
 * sets ccflags scons option to CXXFLAGS instead of CFLAGS, since Swift is C++ not C
Comment 6 Dennis Schridde 2011-08-11 16:40:20 UTC
Created attachment 282931 [details]
ebuild for 1.0/9999 (working static-libs)

(In reply to comment #5)
> Created attachment 282929 [details]
> ebuild for 1.0/9999
> 
> Slightly different ebuild for 1.0/9999.
> 
> Changes:
>  * works with linux-3
>  * uses git-2.eclass
>  * does not specify minimum version below available versions in gentoo mainline
>  * uses qt4-r2.eclass for linguas
>  * supports net-misc/mDNSResponder (bonjour)
>  * supports optional expat, openssl
>  * uses different (probably more robust) way to set scons_vars
>  * respects lib32/lib64 when symlinking qt
>  * sets ccflags scons option to CXXFLAGS instead of CFLAGS, since Swift is C++
> not C
Forgot 2 changes:
 * removes unused test useflag
 * adds static-libs useflag to build static libSwiften (the ebuild posted previously by me contained a bug, because the buildsystem checks for the *presence* of swiften_dll, not its value)
Comment 7 ScytheMan 2012-02-29 03:40:37 UTC
Is it possible to build only libswiften? That would be great, because it would drop the qt-deps (spectrum-2 needs only swiften).
Comment 8 Richard H. 2012-03-29 08:53:23 UTC
(In reply to comment #7)
> Is it possible to build only libswiften? That would be great, because it
> would drop the qt-deps (spectrum-2 needs only swiften).

Yeah, I would like to see that too. Right now I am trying to achieve this. Maybe I'll try adding a qt-USE-flag, just like purple does.
Comment 9 Richard H. 2012-03-29 11:46:07 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Is it possible to build only libswiften? That would be great, because it
> > would drop the qt-deps (spectrum-2 needs only swiften).
> 
> Yeah, I would like to see that too. Right now I am trying to achieve this.
> Maybe I'll try adding a qt-USE-flag, just like purple does.

That's harder than thought - The Scons-Script completely ignores what we throw at it - I'll write the ebuild now - simply deleting the given directories from the source. That should do it.
Comment 10 Richard H. 2012-03-29 12:47:44 UTC
Created attachment 307065 [details]
Added qt4 USE-Flag, without it ony libSwiften is built

I have inluded a new function to set the Scons targets. However, it is ignored by the script. So I decided to simply delete the trees which arent't needed. It installs very fine now.
Comment 11 Richard H. 2012-03-29 17:18:03 UTC
Created attachment 307113 [details]
Added qt4 USE-Flag, without it ony libSwiften is built

re-included Swiften/Config, as it seems to be needed. (for example by spectrum-2)
Comment 12 Manuel Rüger (RETIRED) gentoo-dev 2012-05-09 23:55:52 UTC
swift-2.0_beta1 was released some days ago.
http://swift.im/releases/swift-2.0beta1/
Comment 13 Richard H. 2012-10-17 13:36:16 UTC
Created attachment 326770 [details]
ebuild for swift-2.0beta1 (and the others too)

Please note:

spectrum-2.0_beta2 does NOT build with swift-2.0_beta2!
You can use this ebuild for beta2 (just rename it) but be warned!
Comment 14 Manuel Rüger (RETIRED) gentoo-dev 2012-11-22 01:21:08 UTC
http://swift.im/releases/swift-2.0rc1/
Comment 15 Richard H. 2012-11-22 13:35:56 UTC
(In reply to comment #14)
> http://swift.im/releases/swift-2.0rc1/

The ebuild (beta1) works fine when renamed (swift-2.0_rc1.ebuild)

Tried and tested on x86.
Comment 16 Dennis Schridde 2013-11-06 13:11:06 UTC
2.0 final and 3.0alpha have been released.
Comment 17 Dennis Schridde 2017-04-29 20:09:49 UTC
Created attachment 471300 [details]
swift-4.0_beta2.ebuild

Version bump to 4.0_beta2, support for hunspell, gconf, experimental features, DANE TLSA using unbound, ICU and again: optional GUI, support static-libs
Comment 18 Dennis Schridde 2018-07-04 17:43:32 UTC
For the latest version (4.0.2 ATM) see https://github.com/devurandom/gentoo-overlay/tree/master/net-im/swift
Comment 19 Andriy Utkin gentoo-dev 2018-11-06 18:44:51 UTC
Finally, I am actively working with ConiKost, author of PR https://github.com/gentoo/gentoo/pull/9099, reviewing and build testing, also going to do runtime testing. Sorry for delay.

Will also keep an eye on https://github.com/devurandom/gentoo-overlay/tree/master/net-im/swift , thanks devurandom!
Comment 20 Larry the Git Cow gentoo-dev 2018-11-24 02:46:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69bd066772638de9aa56483b6dbd7b9bb5a79308

commit 69bd066772638de9aa56483b6dbd7b9bb5a79308
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-11-16 23:46:47 +0000
Commit:     Andrey Utkin <andrey_utkin@gentoo.org>
CommitDate: 2018-11-24 02:44:56 +0000

    net-im/swift: New package
    
    An elegant, secure, adaptable and intuitive XMPP client.
    
    Closes: https://bugs.gentoo.org/334887
    Closes: https://bugs.gentoo.org/652464
    Package-Manager: Portage-2.3.51, Repoman-2.3.12
    Signed-off-by: Conrad Kostecki <conrad@kostecki.com>
    Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>

 net-im/swift/Manifest                              |   1 +
 ...generated-files-handle-unicode-characters.patch |  38 ++++
 .../files/swift-4.0.2-qt-5.11-compatibility.patch  |  35 ++++
 net-im/swift/metadata.xml                          |  23 +++
 net-im/swift/swift-4.0.2.ebuild                    | 207 +++++++++++++++++++++
 5 files changed, 304 insertions(+)